﻿namespace anbs_cp.ForNet.Enums;

/// <summary>
/// Уровень очистки текста
/// атрибуты описаны на стр. https://github.com/mganss/HtmlSanitizer/wiki/Options
/// </summary>
public enum ESanitizerLevel
{
    /// <summary>
    /// Все html-теги под запретом
    /// </summary>
    NoTags = 0,

    /// <summary>
    /// Доступны только:
    /// * теги формата шрифта (жирный, курсив, подчёркнутый, зачёркнутый)
    /// * теги расположения текста (слева, по центру, справа)
    /// </summary>
    TextFormatOnly = 1,

    /// <summary>
    /// Доступны только:
    /// * все теги уровня lvlTextFormatOnly
    /// * теги ссылки
    /// * теги изображения
    /// </summary>
    ImageAndLinks = 2,

    /// <summary>
    /// Доступны все теги, кроме вставки с другого сайта
    /// </summary>
    AllExceptIFrame = 3,

    /// <summary>
    /// Доступны все теги
    /// </summary>
    All = 4
}